%global php_moduledir %(php-config --extension-dir)

%if 0%{?suse_version}
%define httpd_service apache2
%define php_inidir %{_sysconfdir}/php5/conf.d
%else
%define httpd_service httpd
%define php_inidir %{_sysconfdir}/php.d
%endif

Summary: C library for op5 Licensing
Name: libop5license
Version: %{op5version}
Release: %{op5release}%{?dist}
Group: op5/system-addons
License: op5 Software License
Prefix: /usr
Source: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: i386 x86_64
Requires: lua >= 5.1
# For backbox
Requires: openssl
BuildRequires: op5license-tests
BuildRequires: lua-devel >= 5.1
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: check-devel
BuildRequires: valgrind
# For backbox
BuildRequires: openssl-devel
%if 0%{?suse_version}
#SuSE specific
Requires: mozilla-nss
Requires: mozilla-nss-tools
BuildRequires: python-xml
BuildRequires: mozilla-nss-tools
BuildRequires: mozilla-nss-devel
BuildRequires: pkg-config
%else
Requires: nss
BuildRequires: nss-devel
BuildRequires: pkgconfig
%endif

%description
This package provides a C library for accessing lua-based (v3) licenses

%package -n php-op5license
Summary: PHP bindings for libop5license
Group: op5/system-addons
Requires: libop5license
BuildRequires: op5-phpunit
BuildRequires: op5license-generator
%if 0%{?suse_version}
BuildRequires: php53-devel
%else
BuildRequires: php-devel
%endif
%description -n php-op5license
This package provides PHP bindings for libop5license

%files -n php-op5license
%defattr(-, root, root, -)
%{php_inidir}/op5license.ini
%{php_moduledir}/op5license.so

%prep
%setup -q

%build
echo %{version} > .version_number
autoreconf -i
%configure --with-testdatadir=%{_localstatedir}/op5license-tests --enable-php=yes
make

%install
%make_install
mkdir -p -m 755 %buildroot%{php_inidir}
install -p -m 755 bindings/php/op5license.ini %buildroot%{php_inidir}/op5license.ini

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post -n php-op5license
service %httpd_service restart || :

%postun -n php-op5license
service %httpd_service restart || :

%files
%defattr(-, root, root)
%{_includedir}/op5
%{_libdir}/libop5license.*

%check
CK_TIMEOUT_MULTIPLIER=10 VERBOSE=true OP5_LICENSE_DEBUG=1 make check
